package cd.casic.pipeline.project.dal.dao;

import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.pipeline.project.dal.dto.Project;
import cd.casic.pipeline.project.dal.pojo.ProjectCreateExtInfo;
import cd.casic.pipeline.project.dal.pojo.ProjectCreateInfo;
import cd.casic.pipeline.project.dal.pojo.ProjectVO;
import cd.casic.pipeline.project.enums.ProjectChannelCode;
import cd.casic.pipeline.project.enums.ProjectValidateType;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface ProjectMapper extends BaseMapperX<Project> {

    String create(Long userId, ProjectCreateInfo projectCreateInfo, String accessToken,
                  ProjectCreateExtInfo projectCreateExtInfo, String defaultProjectId, ProjectChannelCode projectChannelCode);

    void validate(ProjectValidateType validateType, String name, String projectId);

    ProjectVO getByProjectId(String projectId);
}
