package cd.casic.pipeline.scm.service.scm;


import cd.casic.pipeline.scm.dal.pojo.RevisionInfo;
import cd.casic.pipeline.scm.enums.CodeSvnRegion;
import cd.casic.pipeline.scm.enums.ScmType;

public interface IScmService {

    RevisionInfo getLatestRevision(String projectName, String url, ScmType type, String branchName, String privateKey,
                                   String paaPhrase, String token, CodeSvnRegion region, String userName);

    void addWebhook(String projectName, String url, ScmType type, String privateKey, String passPhrase,
                    String token, CodeSvnRegion region, String userName, String event, String hookUrl);
}
