package cd.casic.pipeline.scm.utils;


import cd.casic.pipeline.scm.enums.RepositoryConfig;
import cd.casic.pipeline.scm.enums.RepositoryType;

public class RepositoryConfigUtils {

    public static RepositoryConfig buildConfig(String repositoryId, RepositoryType repositoryType) {
        if (repositoryType == null || repositoryType == RepositoryType.ID) {
            return new RepositoryConfig(repositoryId, null, RepositoryType.ID);
        } else {
            return new RepositoryConfig(null, repositoryId, RepositoryType.NAME);
        }
    }
}
