package cd.casic.pipeline.commons.operationid.entity;

import lombok.Data;

import java.util.concurrent.atomic.AtomicLong;

/**
 * @author mianbin
 * @Classname Segment
 * @Description
 * @Date 2025/3/18 14:16
 */
@Data
public class Segment {
    private AtomicLong value = new AtomicLong(0);
    private volatile long max;
    private volatile int step;
    private final SegmentBuffer buffer;

    public Segment(SegmentBuffer buffer) {
        this.buffer = buffer;
    }

    public long getIdle() {
        return this.getMax() - getValue().get();
    }

}
