package cd.casic.pipeline.dal.pojo.message;

import cd.casic.pipeline.enums.LogType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname LogMessageWithLineNo
 * @Date 2025/3/19 17:14
 */
@Data
@Schema(title = "带行号的日志消息")
@AllArgsConstructor
public class LogMessageWithLineNo {
    private String tag;
    private String jobId = "";
    private String subTag = null;
    private String message;
    private long timestamp = 0;
    private LogType logType = LogType.LOG;
    private long lineNo = 0;
    private int executeCount = 1;
}
